Arduino

Reference Language | Libraries | Comparison | Changes

## Wire.requestFrom(address, quantity)

#### Description

Used by the master to request bytes from a slave device. The bytes may then be retrieved with the available() and receive() functions.

#### Parameters

address: the 7-bit address of the device to request bytes from

quantity: the number of bytes to request

#### Returns

None

#### See Also

- Wire.available()
- Wire.receive()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes